﻿using FurnitureAssemblyListImplement.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FurnitureAssemblyListImplement
{
    // Класс для списков, в которых будет храниться информация при работе приложения
    public class DataListSingleton
    {
        private static DataListSingleton? _instance;

        // Список для хранения заготовок
        public List<WorkPiece> WorkPiece { get; set; }

        // Список для хранения изделий
        public List<Furniture> Furnitures { get; set; }

        // Список для хранения заказов
        public List<Order> Orders { get; set; }

        public DataListSingleton()
        {
            WorkPiece = new List<WorkPiece>();
            Furnitures = new List<Furniture>();
            Orders = new List<Order>();
        }

        public static DataListSingleton GetInstance()
        {
            if(_instance == null)
            {
                _instance = new DataListSingleton();
            }

            return _instance;
        }
    }
}